[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# TTranslateString

Alias for the String type.

## Declaration

Source position: lcltype.pp line 68

`type TTranslateString = type string;`

## Description

TTranslateString is the type used to represent string values that can be translated using the localization facilities found in the LCL and the Lazarus IDE. Properties, constants, variables, and parameter values defined using this type can be localized using translation classes found in the lcltranslator unit.

## See also

TUpdateTranslator |  | Performs string translations for persistent objects.
TDefaultTranslator |  | Performs string translations using a .mo file (Machine Object).